# Generated by Django 3.0.7 on 2021-02-10 23:25

from django.db import migrations


def make_many_occupations(apps, schema_editor):
    """
        Adds the SOCDetailedOccupation object in
        ONetAlternateTitle.soc_occupation to the
        many-to-many relationship in
        ONetAlternateTitle.soc_occupations
    """
    ONetAlternateTitle = apps.get_model('django_occupations', 'ONetAlternateTitle')

    for alternatetitle in ONetAlternateTitle.objects.all():
        alternatetitle.soc_occupations.add(alternatetitle.soc_occupation)

class Migration(migrations.Migration):

    dependencies = [
        ('django_occupations', '0005_make_alttitle_to_occupation_m2m_part1'),
    ]

    operations = [
        migrations.RunPython(make_many_occupations),
    ]
